#!/bin/sh
. /usr/local/bin/sig_catcher

BBSP=`cat /sys/class/hwmon/bbsp`
echo -n "BBSP = 0x$BBSP -- "
case "$BBSP" in
	"00") 	echo "System Software has cleanly shut down" ;;
	"01")	echo "Memory Intialization in progress" ;;
	"02")	echo "NVMEM Intialization in progress" ;;
	"04")	echo "Restoring chipset configuration" ;;
	"05")	echo "User has entered Setup" ;;
	"13")	echo "Booting to Bootloader" ;;
	"1f")	echo "BIOS is starting up" ;;
	"20")	echo "Bootloader is running" ;;
	"21")	echo "Bootloader is programming the primary firmware" ;;
	"22")	echo "Bootloader is programming the secondary firmware" ;;
	"2f")	echo "ONTAP is running" ;;
	*)		echo "Unknown" ;;
esac
