#!/bin/ash
set -x
NAND_ERASE="/usr/bin/flash_eraseall -q"
NAND_WRITE="/usr/bin/nandwrite -q -p"
LOG=/var/log/messages
JFFS2_LOGS_PARTITION=/dev/mtd10

program_nand_partition() {
    echo "--Erasing $1"
    $NAND_ERASE $1

    echo "--Writing $2 to $1"
    $NAND_WRITE $1 $2
}

echo "Clearing Configuration data"

program_nand_partition $JFFS2_LOGS_PARTITION /install/Config.bin

rm -f /install/Config.bin

exit 0
